<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
            <h2 id="jhi-midia-heading" jhiTranslate="locadoraApp.midia.home.createOrEditLabel">Create or edit a Midia</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!midia.id">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id"
                        [(ngModel)]="midia.id" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="locadoraApp.midia.idioma" for="field_idioma">Idioma</label>
                    <select class="form-control" name="idioma" [(ngModel)]="midia.idioma" id="field_idioma"  required>
                        <option value="PORTUGUES">{{'locadoraApp.IdiomaFilme.PORTUGUES' | translate}}</option>
                        <option value="ESPANHOL">{{'locadoraApp.IdiomaFilme.ESPANHOL' | translate}}</option>
                        <option value="INGLES">{{'locadoraApp.IdiomaFilme.INGLES' | translate}}</option>
                    </select>
                    <div [hidden]="!(editForm.controls.idioma?.dirty && editForm.controls.idioma?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.idioma?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="locadoraApp.midia.tipo" for="field_tipo">Tipo</label>
                    <select class="form-control" name="tipo" [(ngModel)]="midia.tipo" id="field_tipo"  required>
                        <option value="DVD">{{'locadoraApp.TipoMidia.DVD' | translate}}</option>
                        <option value="CD">{{'locadoraApp.TipoMidia.CD' | translate}}</option>
                        <option value="VHS">{{'locadoraApp.TipoMidia.VHS' | translate}}</option>
                        <option value="BLU_RAY">{{'locadoraApp.TipoMidia.BLU_RAY' | translate}}</option>
                        <option value="DISCO_VINIL">{{'locadoraApp.TipoMidia.DISCO_VINIL' | translate}}</option>
                        <option value="K7">{{'locadoraApp.TipoMidia.K7' | translate}}</option>
                    </select>
                    <div [hidden]="!(editForm.controls.tipo?.dirty && editForm.controls.tipo?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.tipo?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="locadoraApp.midia.statusMidia" for="field_statusMidia">Status Midia</label>
                    <select class="form-control" name="statusMidia" [(ngModel)]="midia.statusMidia" id="field_statusMidia"  required>
                        <option value="LOCADA">{{'locadoraApp.StatusMidia.LOCADA' | translate}}</option>
                        <option value="RESERVADA">{{'locadoraApp.StatusMidia.RESERVADA' | translate}}</option>
                        <option value="OUTROS">{{'locadoraApp.StatusMidia.OUTROS' | translate}}</option>
                    </select>
                    <div [hidden]="!(editForm.controls.statusMidia?.dirty && editForm.controls.statusMidia?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.statusMidia?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label jhiTranslate="locadoraApp.midia.filme" for="field_filme">Filme</label>
                    <select class="form-control" id="field_filme" multiple name="filme" [(ngModel)]="midia.filmes">
                        <option [ngValue]="getSelected(midia.filmes, filmeOption)" *ngFor="let filmeOption of filmes; trackBy: trackFilmeById">{{filmeOption.id}}</option>
                    </select>
                </div>
            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
